directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From seelm...@apache.org
Subject svn commit: r1683944 - in /directory/studio/trunk: README.md dist/ dist/dist.sh dist/sign.sh tools/dist.sh tools/sign.sh
Date Sat, 06 Jun 2015 19:32:18 GMT
Author: seelmann
Date: Sat Jun  6 19:32:17 2015
New Revision: 1683944

URL: http://svn.apache.org/r1683944
Log:
Move scripts to dist folder, extend dist.sh script, update readme

Added:
    directory/studio/trunk/dist/   (with props)
    directory/studio/trunk/dist/dist.sh
      - copied, changed from r1683943, directory/studio/trunk/tools/dist.sh
    directory/studio/trunk/dist/sign.sh   (contents, props changed)
      - copied, changed from r1683918, directory/studio/trunk/tools/sign.sh
Removed:
    directory/studio/trunk/tools/dist.sh
    directory/studio/trunk/tools/sign.sh
Modified:
    directory/studio/trunk/README.md

Modified: directory/studio/trunk/README.md
URL: http://svn.apache.org/viewvc/directory/studio/trunk/README.md?rev=1683944&r1=1683943&r2=1683944&view=diff
==============================================================================
--- directory/studio/trunk/README.md (original)
+++ directory/studio/trunk/README.md Sat Jun  6 19:32:17 2015
@@ -103,8 +103,15 @@ We release the following artifacts:
     * plugins: pom, jar, javadoc, src
     * features: pom, jar, src
     * helps: pom, jar, src
-* P2 repository zip
-* Product archives Mac OS X, Linux (32+64bit), Windows (32+64bit)
+* P2 repositories
+    * the main features (LDAP Browser, Schema Editor, ApacheDS)
+    * dependencies
+* Product archives for
+    * Linux GTK 32bit tar.gz
+    * Linux GTK 64bit tar.gz
+    * Mac OS X 64bit tar.gz
+    * Windows 32bit zip
+    * Windows 64bit zip
 * Userguides
 
 
@@ -115,7 +122,7 @@ Test the release build: rat check, javad
     mvn -f pom-first.xml clean install
     mvn -Papache-release -Duserguides clean install
 
-Run UI tests (if possilbe on all platforms)
+Run UI tests (if possible on all platforms)
 
     mvn clean install -Denable-ui-tests
 
@@ -156,30 +163,26 @@ Define a variable for later use:
 
     svn copy https://svn.apache.org/repos/asf/directory/studio/branches/$VERSION https://svn.apache.org/repos/asf/directory/studio/tags/$VERSION
-m "Tag release $VERSION"
 
-#### Build the release
+#### Build the release and deploy to staging Nexus repository
 
     mvn -f pom-first.xml clean install
     mvn -Papache-release -Puserguides clean install/deploy
 
 
-#### Sign distribution packages
+#### Package and sign distribution packages
 
-There is a script that
+There is a script that collects and signs all update sites and distribution packages.
 
-* creates `dist` folder
-* copies all distribution packages (sources, products, P2 repo) to dist folder
-* checks that all packages contain LICENSE.txt and NOTICE.txt
-* sign the packages
+For non-interactive signing with GPG agent define env variable:
 
-For non-interactive signing with GPG agent define env variable with key to use
+    export RELEASE_KEY=28686142
 
-	export RELEASE_KEY=28686142
+Run the dist script:
 
-Run helper script
+    cd dist
+    ./dist.sh
 
-    tools/dist.sh
-
-Afterwards all distribution packages are in `dist` folder.
+Afterwards all distribution packages are located in `target`. Upload `target/$VERSION` to
people.apache.org and start the vote. After successful vote the content of `target` can be
committed as-is to https://dist.apache.org/repos/dist/release/directory/studio.
 
 
 tbc.

Propchange: directory/studio/trunk/dist/
------------------------------------------------------------------------------
--- svn:ignore (added)
+++ svn:ignore Sat Jun  6 19:32:17 2015
@@ -0,0 +1,15 @@
+target
+maven-eclipse.xml
+lib
+bin
+.externalToolBuilders
+felix-cache
+.project
+.classpath
+.settings
+eclipse-classes
+*.log
+*.iml
+*.ipr
+dependency-reduced-pom.xml
+META-INF

Copied: directory/studio/trunk/dist/dist.sh (from r1683943, directory/studio/trunk/tools/dist.sh)
URL: http://svn.apache.org/viewvc/directory/studio/trunk/dist/dist.sh?p2=directory/studio/trunk/dist/dist.sh&p1=directory/studio/trunk/tools/dist.sh&r1=1683943&r2=1683944&rev=1683944&view=diff
==============================================================================
--- directory/studio/trunk/tools/dist.sh (original)
+++ directory/studio/trunk/dist/dist.sh Sat Jun  6 19:32:17 2015
@@ -16,27 +16,54 @@
 # specific language governing permissions and limitations
 # under the License.
 
-# Helper script for release
+# Script to collect and sign update sites and distribution packages.
 
 set -e
 
+# Check if version is set
 if [ -z "$VERSION" ]; then
   echo "VERSION is not set"
   exit 1;
 fi
 
-echo "Creating dist folder"
-mkdir dist
-cd dist
+# Only continue if target directory does not exist yet
+WORK_DIR=$PWD
+TARGET_DIR=${WORK_DIR}/target
+if [ -e "$TARGET_DIR" ]; then
+  echo "Target already exists"
+  exit 1;
+fi
+
+echo
+echo "### Creating dist folders"
+DIST_DIR=${TARGET_DIR}/${VERSION}
+UPDATE_SITE_DIR=${TARGET_DIR}/update/${VERSION}
+mkdir -p ${DIST_DIR}
+mkdir -p ${UPDATE_SITE_DIR}
+
+echo
+echo "### Copying update sites"
+cp -a ../p2repositories/dependencies/target/repository ${UPDATE_SITE_DIR}/dependencies
+cp -a ../p2repositories/eclipse/target/repository ${UPDATE_SITE_DIR}/eclipse
+
+echo
+echo "### Signing update sites"
+cd ${UPDATE_SITE_DIR}/dependencies
+sh ${WORK_DIR}/sign.sh
+zip -r ${DIST_DIR}/ApacheDirectoryStudio-${VERSION}-p2repository-dependencies.zip *
+cd ${UPDATE_SITE_DIR}/eclipse
+sh ${WORK_DIR}/sign.sh
+zip -r ${DIST_DIR}/ApacheDirectoryStudio-${VERSION}-p2repository.zip *
 
 echo
-echo "Copying dist files"
-cp ../target/org.apache.directory.studio.parent-${VERSION}-source-release.zip ApacheDirectoryStudio-sources-${VERSION}.zip
-cp ../product/target/products/ApacheDirectoryStudio-${VERSION}-*.{zip,tar.gz} .
-cp ../p2repository/target/org.apache.directory.studio.p2repository-${VERSION}.zip .
+echo "### Copying dist files"
+cd ${WORK_DIR}
+cp ../target/org.apache.directory.studio.parent-${VERSION}-source-release.zip ${DIST_DIR}/ApacheDirectoryStudio-${VERSION}-src.zip
+cp ../product/target/products/ApacheDirectoryStudio-${VERSION}-*.{zip,tar.gz} ${DIST_DIR}/
 
 echo
-echo "Checking legal files"
+echo "### Checking legal files"
+cd ${DIST_DIR}
 for file in *
 do
     echo "Checking $file"
@@ -57,9 +84,9 @@ do
 done
 
 echo
-echo "Signing dist files"
-../tools/sign.sh
+echo "### Signing dist files"
+sh ${WORK_DIR}/sign.sh
 
 echo
-echo "Success"
+echo "### Success"
 

Copied: directory/studio/trunk/dist/sign.sh (from r1683918, directory/studio/trunk/tools/sign.sh)
URL: http://svn.apache.org/viewvc/directory/studio/trunk/dist/sign.sh?p2=directory/studio/trunk/dist/sign.sh&p1=directory/studio/trunk/tools/sign.sh&r1=1683918&r2=1683944&rev=1683944&view=diff
==============================================================================
--- directory/studio/trunk/tools/sign.sh (original)
+++ directory/studio/trunk/dist/sign.sh Sat Jun  6 19:32:17 2015
@@ -27,7 +27,7 @@ if [ -z "$RELEASE_KEY" ]; then
     echo ""
 fi
 
-for FILE in $(find . -maxdepth 1 -not '(' -name "sign.sh" -or -name ".*" -or -name "*.md5"
-or -name "*.sha1" -or -name "*.asc" ')' -and -type f) ; do
+for FILE in $(find . -maxdepth 2 -not '(' -name "sign.sh" -or -name ".*" -or -name "*.md5"
-or -name "*.sha1" -or -name "*.asc" ')' -and -type f) ; do
     if [ -f "$FILE.asc" ]; then
         echo "Skipping: $FILE"
         continue

Propchange: directory/studio/trunk/dist/sign.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message